틱톡 API
틱톡은 짧은 동영상, 라이브 스트림 및 트렌드 기반 발견을 통해 월 10억 명 이상의 사용자를 도달시키며, 문화적 관련성, 크리에이터 캠페인 및 제품 발견에 중요한 플랫폼입니다.
기본 URL
https://api.pressmonitor.com/tiktok/v1 인증
모든 요청은 Bearer 토큰 인증을 사용합니다. 각 호출에 Authorization 헤더를 추가하세요.
Authorization: Bearer YOUR_TOKEN /challenge-info 챌린지 정보
Challenge Info
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| challenge_id | string | query | 예 | 챌린지 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/challenge-posts 챌린지 게시물
Challenge Posts
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| challenge_id | string | query | 예 | 챌린지 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/collection-info 컬렉션 정보
Collection Info
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| collection_id | string | query | 예 | 컬렉션 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-info" querystring = {"collection_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/collection-posts 컬렉션 게시물
Collection Posts
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| collection_id | string | query | 예 | 컬렉션 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-posts" querystring = {"collection_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/download-music 음악 다운로드
Download Music
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| music_id | string | query | 예 | 음악 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
| format | string | query | 아니요 | 포맷 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-music" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/download-video 비디오 다운로드
Download Video
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| aweme_id | string | query | 예 | Aweme ID |
| device_id | string | query | 아니요 | 디바이스 ID |
| format | string | query | 아니요 | 포맷 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-video" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/effect-info 이펙트 정보
Effect Info
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| effect_id | string | query | 예 | 이펙트 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-info" querystring = {"effect_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/effect-posts 이펙트 게시물
Effect Posts
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| effect_id | string | query | 예 | 이펙트 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-posts" querystring = {"effect_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/live-category 라이브 카테고리
Live Category
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| device_id | string | query | 아니요 | 디바이스 ID |
| lang | string | query | 아니요 | 언어 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-category" querystring = {"device_id":"SOME_STRING_VALUE","lang":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/live-check-alive 라이브 상태 확인
Live Check Alive
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| room_id | string | query | 예 | 룸 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-check-alive" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/live-stream 라이브 스트림
Live Stream
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| room_id | string | query | 예 | 룸 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-stream" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/music-info 음악 정보
Music Info
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| music_id | string | query | 예 | 음악 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-info" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/music-posts 음악 게시물
Music Posts
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| music_id | string | query | 예 | 음악 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-posts" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/music-unlimited-sounds 무제한 음악 사운드
Music Unlimited Sounds
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| music_id | string | query | 예 | 음악 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/place-info 장소 정보
Place Info
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| challenge_id | string | query | 예 | 챌린지 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/place-posts 장소 게시물
Place Posts
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| challenge_id | string | query | 예 | 챌린지 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/post-category 게시물 카테고리
Post Category
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 예 | 보안 Uid |
| category_type | string | query | 아니요 | 카테고리 유형 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-category" querystring = {"sec_uid":"SOME_STRING_VALUE","category_type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/post-comments 게시물 댓글
Post Comments
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| aweme_id | string | query | 예 | Aweme ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/post-detail 게시물 상세
Post Detail
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| aweme_id | string | query | 예 | Aweme ID |
| device_id | string | query | 아니요 | 디바이스 ID |
| from | string | query | 아니요 | 시작 위치 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","from":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/post-discover-keyword 게시물 검색 키워드
Post Discover Keyword
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/post-related 관련 게시물
Post Related
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| aweme_id | string | query | 예 | Aweme ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-related" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/post-reply-comments 게시물 답글 댓글
Post Reply Comments
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| aweme_id | string | query | 예 | Aweme ID |
| comment_id | string | query | 예 | 댓글 ID |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-reply-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/search-account 계정 검색
Search Account
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
| search_id | string | query | 아니요 | 검색 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-account" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/search-general 일반 검색
Search General
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| search_id | string | query | 아니요 | 검색 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-general" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/search-live 라이브 검색
Search Live
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
| search_id | string | query | 아니요 | 검색 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-live" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/search-suggest-keyword 검색 제안 키워드
Search Suggest Keyword
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/search-video 동영상 검색
Search Video
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
| search_id | string | query | 아니요 | 검색 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-video" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-ads-detail 트렌딩 광고 상세
Trending Ads Detail
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| aweme_id | string | query | 예 | Aweme ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-commercial-music-library 트렌딩 상업용 음악 라이브러리
Trending Commercial Music Library
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-commercial-music-playlist 트렌딩 상업용 음악 재생목록
Trending Commercial Music Playlist
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-commercial-music-playlist-detail 트렌딩 상업용 음악 재생목록 상세
Trending Commercial Music Playlist Detail
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| playlist_id | string | query | 예 | 재생목록 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail" querystring = {"playlist_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-creator 트렌딩 크리에이터
Trending Creator
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-creator" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-hashtag 트렌딩 해시태그
Trending Hashtag
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-hashtag" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-keyword 트렌딩 키워드
Trending Keyword
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-keyword-sentence 트렌딩 키워드 문장
Trending Keyword Sentence
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-song 트렌딩 노래
Trending Song
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-song" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-top-ads 트렌딩 인기 광고
Trending Top Ads
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
| period | string | query | 아니요 | 기간 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-ads" querystring = {"keyword":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","period":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-top-product-detail 트렌딩 인기 제품 상세
Trending Top Product Detail
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| product_id | string | query | 예 | 제품 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-top-product-metrics 트렌딩 인기 제품 지표
Trending Top Product Metrics
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| product_id | string | query | 예 | 제품 ID |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-top-products 트렌딩 인기 제품
Trending Top Products
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-products" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-video 트렌딩 동영상
Trending Video
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| period | string | query | 예 | 기간 |
| country_code | string | query | 아니요 | 국가 코드 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/trending-video-by-keyword 키워드별 트렌딩 동영상
Trending Video By Keyword
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keyword | string | query | 예 | 키워드 |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-followers 사용자 팔로워
User Followers
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 예 | 보안 Uid |
| count | integer | query | 아니요 | 반환할 결과 수 |
| min_cursor | string | query | 아니요 | 최소 커서 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-followers" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","min_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-following 사용자 팔로잉
User Following
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 예 | 보안 Uid |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-following" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-info 사용자 정보
User Info
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 아니요 | 보안 Uid |
| unique_id | string | query | 아니요 | 고유 ID |
| with_commerce_info | string | query | 아니요 | 상거래 정보 포함 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-info-by-id ID로 사용자 정보
User Info By Id
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| user_id | string | query | 예 | 사용자 ID |
| with_commerce_info | string | query | 아니요 | 상거래 정보 포함 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-by-id" querystring = {"user_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-info-v2 사용자 정보 V2
User Info V2
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 아니요 | 보안 Uid |
| unique_id | string | query | 아니요 | 고유 ID |
| with_commerce_info | string | query | 아니요 | 상거래 정보 포함 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-v2" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-playlist 사용자 재생목록
User Playlist
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 예 | 보안 Uid |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-playlist?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-playlist?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-playlist" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-playlist?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-playlist?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
/user-posts 사용자 게시물
User Posts
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| sec_uid | string | query | 예 | 보안 Uid |
| count | integer | query | 아니요 | 반환할 결과 수 |
| cursor | integer | query | 아니요 | 커서 |
| device_id | string | query | 아니요 | 디바이스 ID |
| from | string | query | 아니요 | 시작 위치 |
| with_play_token | string | query | 아니요 | 재생 토큰 포함 |
코드 예제
[...]
